async function getZipFileBlob(urls, sub) {
    const zipWriter = new zip.ZipWriter(new zip.BlobWriter("application/zip"));
    await Promise.all([
        urls.forEach(function(url) {
            zipWriter.add(url.replace(sub, ""), new zip.HttpReader(url));
        })
    ]);
    return zipWriter.close();
}

function downloadZip(urls, button, sub, name) {

    getZipFileBlob(urls, sub).then(function(blob){
         button.download = name + ".zip";
         button.href = URL.createObjectURL(blob);
         button.click();
    });

}
